# rust-signature.spec
# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate signature

Name:           rust-%{crate}
Version:        1.5.0
Release:        1%{?dist}.1
Summary:        Traits for cryptographic signature algorithms (e.g

# Upstream license specification: Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/signature
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
%if %{with check}
BuildRequires:  (crate(hex-literal/default) >= 0.2.0 with crate(hex-literal/default) < 0.3.0~)
BuildRequires:  (crate(sha2) >= 0.10.0 with crate(sha2) < 0.11.0~)
%endif

%global _description %{expand:
Traits for cryptographic signature algorithms (e.g. ECDSA, Ed25519).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+derive-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-preview-devel %{_description}

This package contains library source intended for building other packages which
use the "derive-preview" feature of the "%{crate}" crate.

%files       -n %{name}+derive-preview-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages which
use the "digest" feature of the "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+digest-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-preview-devel %{_description}

This package contains library source intended for building other packages which
use the "digest-preview" feature of the "%{crate}" crate.

%files       -n %{name}+digest-preview-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rand-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-preview-devel %{_description}

This package contains library source intended for building other packages which
use the "rand-preview" feature of the "%{crate}" crate.

%files       -n %{name}+rand-preview-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rand_core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand_core-devel %{_description}

This package contains library source intended for building other packages which
use the "rand_core" feature of the "%{crate}" crate.

%files       -n %{name}+rand_core-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+signature_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signature_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "signature_derive" feature of the "%{crate}" crate.

%files       -n %{name}+signature_derive-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Feb  7 2022 Oleg Girko <ol@infoserver.lv> - 1.5.0-1
- Update to 1.5.0
* Thu Jul 15 2021 Oleg Girko <ol@infoserver.lv> - 1.3.1-1
- Initial package
